com.independentsoft.exchange

## Enum ProtocolType

- java.lang.Object
- - java.lang.Enum<ProtocolType>
  - - com.independentsoft.exchange.ProtocolType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ProtocolType>

      public enum ProtocolType
      extends java.lang.Enum<ProtocolType>

  Identifies the type of the configured mail account.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EXCHANGE` The protocol that is used to connect to the server is Exchange RPC.
    `EXCHANGE_PROXY` The protocol that is used to connect to the server is Exchange RPC over HTTP, using an RPC proxy server.
    `WEB` E-mail is accessed from a Web browser by using the URL that is specified in the Server (POX) element.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ProtocolType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ProtocolType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXCHANGE

          public static final ProtocolType EXCHANGE

      The protocol that is used to connect to the server is Exchange RPC.

    - #### EXCHANGE_PROXY

          public static final ProtocolType EXCHANGE_PROXY

      The protocol that is used to connect to the server is Exchange RPC over HTTP, using an RPC proxy server.

    - #### WEB

          public static final ProtocolType WEB

      E-mail is accessed from a Web browser by using the URL that is specified in the Server (POX) element.

  - ### Method Detail

    - #### values

          public static ProtocolType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProtocolType c : ProtocolType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProtocolType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null